import java.io.*;
class Exo10{
    static double calculerImpots(double revenu) {
        if (revenu <= 9710) {
            return 0;
        }
        if (revenu < 26818) {
            return 0.14 * (revenu-9710);
        }
        return 0.14 * (26818 - 9710) + 0.3 * (revenu - 26818);
    }
    static int nbPersonnesImposables(double[] revenus) {
        int nbPersImpos = 0;
        for(int i=0;i<revenus.length;i++)
            if(calculerImpots(revenus[i])>0)
                nbPersImpos++;
        return nbPersImpos;
    }
    public static void main(String[]args) {
        double[] revenus = new double[5];

        //le code pour la lecture du fichier revenus.txt
        try{
            BufferedReader objLecteur;
            objLecteur = new BufferedReader
                                (new java.io.FileReader("revenus.txt"));
            for(int i=0;i<5;i++){
                String ligne = objLecteur.readLine();
                if(ligne==null){
                    System.out.println("fin fichier avant la 5ème ligne");
                    break;
                }
                revenus[i]   = Double.parseDouble(ligne);
            }
            System.out.println("Nb pers. imposables dans revenus.txt:"
                                     +nbPersonnesImposables(revenus));
        }catch(Exception e){
            System.out.println("Un problème est survenu, l'exception:"+e);
        }

  } 
}

